Bug 394558

Summary: Looking for updates is hanging forever
Product: Discover Reporter: Lastique <andysem>
Component: discoverAssignee: Aleix Pol <aleixpol>
Status: RESOLVED FIXED    
Severity: normal CC: nate
Priority: NOR    
Version: 5.12.4   
Target Milestone: ---   
Platform: Kubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 5.12.6
Attachments: Discover is looking for updates
pkmon log

Description Lastique 2018-05-22 10:27:49 UTC
Created attachment 112808 [details]
Discover is looking for updates

When I click on the Updater applet indicating there are updates, Discover window opens with "Fetching..." in the title, "Checking for updates..." selected and "Looking for updates" in the main area (see the attached screenshot). However, this screen stays in this state forever with no change (I've waited for about 10 minutes, maybe more) and there is no indication of progress or completion anywhere to be seen.

If there is some potentially time-consuming work to be done, there should be a progress bar of some sort. It should be possible to place it somewhere in that large unused area of the window. If the process has ended, successfully or not, an indication of that completion should be given to the user. Window title and contents should not imply that the work is still going.

Kubuntu 18.04.
Comment 1 Aleix Pol 2018-05-29 00:03:12 UTC
Can you still reproduce?
What happens if you press the "check for updates" button? Does it complain that it's still updating?
Comment 2 Lastique 2018-05-29 07:55:38 UTC
> Can you still reproduce?

Yes, the behavior is exactly the same. The currently installed plasma-discover version is 5.12.5.

> What happens if you press the "check for updates" button? Does it complain that it's still updating?

You mean "Checking for updates..." section on the left? Nothing happens. It just selects or deselects that option (the background of that option changes between the normal grey and light blue).

BTW, "Checking for updates..." does not look like an appropriate name for a section name or a tab. The other names are plural nouns ("Applications", "... Addons", "Settings") or past participle ("Installed") but not present continuous verbs. In other words, tab names are items, not ongoing activities. It would be fitting to name the tab just "Updates".
Comment 3 Aleix Pol 2018-06-20 20:46:11 UTC
Git commit 538489ec680dc08d20fc00b1dc21763f5d891eac by Aleix Pol.
Committed on 20/06/2018 at 20:43.
Pushed by apol into branch 'Plasma/5.12'.

Flatpak: Make sure we release every time we aquire

Otherwise it sometimes won't ever finish to update

M  +4    -9    libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp
M  +0    -1    libdiscover/backends/FlatpakBackend/FlatpakBackend.h

https://commits.kde.org/discover/538489ec680dc08d20fc00b1dc21763f5d891eac
Comment 4 Lastique 2018-06-20 22:07:47 UTC
I'm not using Flatpak on my system. plasma-discover-flatpak-backend is not even installed.
Comment 5 Aleix Pol 2018-06-21 00:05:00 UTC
Hm weird.

Can you run it with pkmon opened on a terminal so we see if the get-updates transaction has finished and discover is missing it?
Comment 6 Lastique 2018-06-21 10:13:51 UTC
Created attachment 113485 [details]
pkmon log

I've attached pkmon log taken while Discover starts. All log records were written when Discover started. When I clicked on "Checking for Updates" no additional activity happened in the log. I currently have no outstanding updates.

BTW, for completeness, I also don't have the Snap backend installed.
Comment 7 Aleix Pol 2018-10-01 14:28:41 UTC
Do you still have this issue? I haven't been able to reproduce and there's been some fixes in the area.
Comment 8 Nate Graham 2018-10-01 14:29:49 UTC
Nor I. Let's call it fixed until and unless we get some new reports.

Thanks for everything, Aleix!